#!/usr/bin/env python
# coding: utf-8

import geopandas as gpd

nuts2 = gpd.read_file("NUTS2_Boundaries_Ungeneralised_-_OSi_National_Statistical_Boundaries_-_2015-shp")

ireland = nuts2.dissolve(by='NUTS1NAME').loc[:, 'geometry'].reset_index(drop=True).to_frame()

ireland.to_crs(epsg=4326).to_parquet("ireland_boundary_epsg_4326.parquet")
ireland.to_parquet("dublin_boundary_epsg_2157.parquet")
ireland.to_crs(epsg=4326).to_file("ireland_boundary_epsg_4326")
ireland.to_file("ireland_boundary_epsg_2157")

